# Copyright (C) 2018-2025 by BDE ENS Paris-Saclay
# SPDX-License-Identifier: GPL-3.0-or-later

from .views import FamilyViewSet, FamilyMembershipViewSet, ChallengeViewSet, AchievementViewSet


def register_family_urls(router, path):
    """
    Configure router for Family REST API
    """
    router.register(path + '/family', FamilyViewSet)
    router.register(path + '/familymembership', FamilyMembershipViewSet)
    router.register(path + '/challenge', ChallengeViewSet)
    router.register(path + '/achievement', AchievementViewSet)
